{ config, ... }:
{
  home.sessionPath = [ "$HOME/bin" ];

  metacfg = {
    user = {
      enable = true;
      name = config.snowfallorg.user.name;
    };
    cli-apps = {
      bash.enable = true;
      fish.enable = true;
      neovim.enable = false;
      bat.enable = true;
      starship.enable = true;
      home-manager.enable = true;
    };
    tools = {
      git.enable = true;
    };
    gui.kbd.ellipsis = true;
  };

  fonts.fontconfig.enable = true;

  services.syncthing = {
    enable = true;
    tray.enable = true;
    /*
      settings = {
      devices = {
        "sgx" = {
          id = "2AAVSVQ-PK66I2B-2B4KWAU-TF674DG-IXNEKLF-CIWK7HG-7MUC7OW-DQQNAQM";
        };
        "x1" = {
          id = "ZXRDFYU-W22PYCZ-7QJJCVN-GGHP3TS-KSY56B4-75OLQRN-UR2A4ZU-7BQBQQZ";
        };
      };
      folders = {
        "qibxq-03l4j" = {
          path = "~/Documents/logseq";
          devices = [
            "sgx"
          ];
        };
      };
      };
      */

    #    overrideFolders = false;
    #    overrideDevices = false;
  };

  dconf.settings = {
    # ...
    "org/gnome/shell" = {
      disable-user-extensions = false;

      # `gnome-extensions list` for a list
      enabled-extensions = [
        "Vitals@CoreCoding.com"
        "appindicatorsupport@rgcjonas.gmail.com"
        "dash-to-panel@jderose9.github.com"
        "hibernate-status@dromi"
        "autohide-battery@sitnik.ru"
      ];

      favorite-apps = [
        "org.gnome.Console.desktop"
        "jetbrains-toolbox.desktop"
        "org.mozilla.firefox.desktop"
        "firefox.desktop"
        "thunderbird.desktop"
        "org.mozilla.Thunderbird.desktop"
        "slack.desktop"
        "keybase.desktop"
        "spotify.desktop"
        "org.gnome.Nautilus.desktop"
        "virt-manager.desktop"
      ];
    };
    "org/virt-manager/virt-manager/connections" = {
      autoconnect = [ "qemu:///system" ];
      uris = [ "qemu:///system" ];
    };
  };

  dconf.settings."org/gnome/desktop/input-sources".xkb-options = [ "mod:ellipsis" ];

  xdg.enable = true;
  xdg.mime.enable = true;
}
